import { PathType } from '../../domain/route.types';
import { Point } from './point.type';
import { SpacetimePoint } from './spacetime-point.type';

export type Route = {
  type: PathType;
  distance: number;
  duration: number;
  fwdAzimuth: number;
  backAzimuth: number;
  distanceAzimuth: number;
  points: Point[];
  spacetimePoints: SpacetimePoint[];
};
